<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Деньги на баллы'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();


$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){

$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

default:
echo '<img src="img/bk.png" alt="+"> Обратный обмен 1 LM 3 бакса</b><br/>';
echo '<img src="img/bk.png" alt="+"> Lafes Money: <b>'.$user['balls'].'</b><br/>';
echo '<img src="img/bk.png" alt="+"> Деньги: <b>'.$user['gorod_money'].'$</b><br/>';
echo '<form action="banks.php?action=change" method="post">';
echo 'Сколько меняем?<br/>';
echo '<input name="num" type="text" value=""/><br/>';
echo '<input type="submit" value="Обменять"/>';
echo '</form>';
break;

case 'change':
$num=(int)$_POST['num'];
if(!$num || $num<1){echo 'Пустые параметры!';break;};
if($user['gorod_money']<$num){echo 'У вас нет столько денег!';break;};
$baks=$num*3;
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'$baks',`balls`=`balls`+'$num' WHERE `id`='".$user['id']."'");
echo 'Обмен прошол Успешно!';
break;


};
echo '<div class="foot"><a href="index.php">В меню игры</a></div>';
}else{echo '<div class="msg">Mafia Wars закрыта администратором!</div>';};

}else{
echo '<div class="msg">Mafia Wars доступенa только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>